fbsql_create_clob
fbsql_data_seek
FrontBase Functions
PHP Manual

# fbsql_create_db

Create a FrontBase database

### Description

bool fbsql_create_db ( string `$database_name` [, resource `$link_identifier` [, string `$database_options` ]] )

Attempts to create a new database on the specified server.

### Parameters

`database_name`

  The database name, as a string.

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

`database_options`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 fbsql_create_db example

`<?php
$link = fbsql_pconnect("localhost", "_SYSTEM", "secret")
or die("Could not connect");
if (fbsql_create_db("my_db")) {
echo "Database created successfully\n";
} else {
printf("Error creating database: %s\n", fbsql_error());
}
?>`

### See Also

- fbsql_drop_db